#
# spec file for package gtkmm (Version 1.2.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gpp gtk gtk-devel libgpp libsigc++ libsigc++-devel libz xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libsigc++ libsigc++-devel libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gtkmm
Copyright:    GPL
Group:	      X11/Libraries
Provides:     Gtk-- 
Requires:     libsigc++ gtk glib 
Autoreqprov:  on
Version:      1.2.7
Release:      56
Summary:      Is a C++ wrapper for GTK, the Gimp ToolKit
Source:	      gtkmm-%{version}.tar.bz2
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
Highlights:
* Typesafe signal framework implemented with templates and function objects
* Extending the widget hierarchy via inheritance is now easy enough to
use as main method for creating new widgets and applications
* Tracks closely development of gtk and provides equivalent C++ interface
For more information, see /usr/share/doc/packages/gtkmm and:
Gtk--'s homepage  http://www.iki.fi/terop/gtk/gtk--.html
Gtk's   homepage  http://www.gimp.org/gtk/

Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Phil Dawes <P.L.Dawes-CSSE94@cs.bham.ac.uk>
    Tero Pulkkinen <terop@modeemi.cs.tut.fi>
    Guillaume Laurent <glaurent@worldnet.fr>
    Stephan Kulow <coolo@itm.mu-luebeck.de>
    Erik Andersen <andersee@debian.org>
    Bibek Sahu <scorpio@dodds.net>
    Havoc Pennington <hp@pobox.com>

SuSE series: xdev

%package devel
Requires:     gtkmm glib-devel gtk-devel libsigc++-devel
Summary:      Gtk-- development package
Group:	      Development/Libraries/X11
Autoreqprov:  on

%description devel
This package contains all needed libraries and includes for development
using the Gtk-- Libraries, and also the example sourcecode (binaries are
in the gtkmmexb package).
Call the gtkmm-config, and take a look into gnomemmConf.sh scripts
to obtain compile time informations for your own applications.
Autoconf/automake configutations may be done using macros from gtk--.m4.

Authors:
--------
    Elliot Lee <sopwith@redhat.com>
    Phil Dawes <P.L.Dawes-CSSE94@cs.bham.ac.uk>
    Tero Pulkkinen <terop@modeemi.cs.tut.fi>
    Guillaume Laurent <glaurent@worldnet.fr>
    Stephan Kulow <coolo@itm.mu-luebeck.de>
    Erik Andersen <andersee@debian.org>
    Bibek Sahu <scorpio@dodds.net>
    Havoc Pennington <hp@pobox.com>

SuSE series: xdev

%prep
%setup 

%build
%{?suse_update_config:%{suse_update_config -f scripts}}
CXXFLAGS="$RPM_OPT_FLAGS" \
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr \
	--with-gnome=/opt/gnome \
	--enable-shared --enable-static
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
/usr/lib/*.so.*

%files devel
/usr/bin/*
/usr/include/*
/usr/share/aclocal/*
/usr/lib/gtkmm
/usr/lib/*.so
/usr/lib/*.*a

%changelog -n gtkmm
* Fri Aug 10 2001 - hhetter@suse.de
- update to 1.2.7
- added doc files
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Fri Mar 09 2001 - egger@suse.de
- Ugh, never thought I could produce so shitty specfiles, thus:
- Use BuildRooting.
- Use proper compile flags.
- Remove hack for m4 files.
- Use wildcards.
- Add missing files.
- Add %%clean section.
* Mon Mar 05 2001 - ro@suse.de
- changed neededforbuild <sigc++> to <libsigc++>
- changed neededforbuild <sigc++-devel> to <libsigc++-devel>
* Thu Feb 22 2001 - hhetter@suse.de
- update to 1.2.5
* Fri Feb 02 2001 - kkaempf@suse.de
- update to 1.2.4
- re-packaged source with bzip2
- adapt neededforbuild to sigc++ package split
* Sun Dec 10 2000 - schwab@suse.de
- Fix missing declaration.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Wed Oct 11 2000 - tiwai@suse.de
- Added the missint gtk--.h.
* Tue Sep 19 2000 - egger@suse.de
- Refined patch.
- Buildproofed on i386.
* Tue Sep 12 2000 - egger@suse.de
- Try to use normal M4 instead of relying on broken #define
* Mon Sep 11 2000 - egger@suse.de
- Update to version 1.2.3
* Thu Aug 31 2000 - egger@suse.de
- Update to version 1.2.2
- Redid the whole specfile
* Sat May 27 2000 - kukuk@suse.de
- Use group tags
- Use docdir macro
* Mon Mar 06 2000 - ro@suse.de
- libtoolize for shared libs
* Mon Mar 06 2000 - ro@suse.de
- added enable shared
* Mon Mar 06 2000 - ro@suse.de
- specfile fix
* Sat Mar 04 2000 - ro@suse.de
- tried to fix specfile
* Mon Feb 21 2000 - uli@suse.de
- fixed to build on PPC (set CXXFLAGS to same value as CFLAGS)
* Mon Feb 21 2000 - ro@suse.de
- patch to compile with newest gtk
- use suse_update_config macro
* Tue Jan 25 2000 - ro@suse.de
- update to 1.0.3
- fixed to compile with gcc-2.95.2
- man -> /usr/share using macro
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 23 1999 - ro@suse.de
- update to 1.0.2
- hacked to compile on current gnome-libs
* Mon Aug 23 1999 - ro@suse.de
- fixed config.sub for alphaev6
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Thu May 27 1999 - ro@suse.de
- reworked exaple file list
* Thu May 27 1999 - ro@suse.de
- BETA(1.0.1) fixed filelist
* Wed May 26 1999 - ro@suse.de
- specfile fix
* Wed May 26 1999 - ro@suse.de
- for BETA: update to GTK---1.0.1
- patched for alpha
- disabled exaples/testgtk-- : missing headers in archive
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Thu Mar 11 1999 - ro@suse.de
- fixed filelist
* Thu Mar 11 1999 - ke@suse.de
- install gnome-- header files at the right (?) location.
- invoke automake and autoconf.
* Tue Mar 09 1999 - ro@suse.de
- fixed neededforbuild
* Tue Mar 09 1999 - mt@suse.de
- new package, version 1.0.0
* Wed Feb 17 1999 - mt@suse.de
- new package, version 0.11.1
